
QGIS Application - Bug report #16852

layer actions triggered from identify + right click do not have variables populated (@click_x  and 

others ) 

2017-07-12 10:55 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Regis Haubourg

Category: Actions

Affected QGIS version:2.18.11 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24751

Description

Hi, 

I discovered this regression in 2.18.10.

How to reproduce:

- add the default actions to a layer

- identify + right clic on the layer

- execute the "display clic coordinate" action 

-> coordinates displayed are empty

Here this breaks production applications.

PS: in qgis 3.0, the actions list on right clic of identify has totally disappeared. Is that on purpose ?

Associated revisions

Revision c9c1c349 - 2017-11-10 04:01 PM - Paul Blottiere

Fixes #16852 by adding click_x and click_y variables to resolve actions

Revision bd30e12c - 2017-11-15 05:18 PM - Paul Blottiere

Merge pull request #5597 from pblottiere/bugfix-clickxy

[bugfix]  Fixes #16852 by adding click_x and click_y variables to resolve actions

Revision c9692959 - 2017-11-20 10:50 AM - Paul Blottiere

Fixes #16852 by adding click_x and click_y variables to resolve actions

Revision 10b34b90 - 2017-11-22 08:56 AM - Paul Blottiere

Merge pull request #5660 from pblottiere/bugfix-clickxy-218

[backport][bugfix] Fixes #16852 by adding click_x and click_y variables to resolve actions
History

#1 - 2017-07-12 11:23 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Regis, this worked in 2.18.9? If yes then regression within the 2.18 release are really start to pile up... being the 2.18.10 a release with many of them...

#2 - 2017-07-12 03:06 PM - Regis Haubourg

- Assignee set to Regis Haubourg

- Status changed from Feedback to Open

I have been trying to find any commit related for one hour and didn't anything clear recently (since october!) 

It is a regression for sure, but git bisect with QGIS compile time is not an option. Better go to a fix and a unit test quickly. 

I think I'll have some funds for fixing that. I take the action .

#3 - 2017-07-25 07:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

#4 - 2017-08-24 10:34 AM - C M

Proposed Pull Request (for v2.18): https://github.com/qgis/QGIS/pull/5068

#5 - 2017-08-25 10:58 AM - C M

See Pull Request here:

- v2.18: https://github.com/qgis/QGIS/pull/5068

- master: https://github.com/qgis/QGIS/pull/5071

#6 - 2017-11-15 05:18 PM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|c9c1c34952ed1aa158448e24d5eddb671f9c0cee.
